### Virtual Method

# Ide Debugger interrupt_async

#### Declaration

    void
    interrupt_async (
      IdeDebugger* self,
      IdeDebuggerThreadGroup* thread_group,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously requests that the debugger interrupts execution of a thread group. Thread groups are a collection of threads that are executed or stopped together and on gdb on Linux, this is the default for all threads in the process.

Available since: | 3.32

#### Parameters

`thread_group` | `IdeDebuggerThreadGroup`
| An `IdeDebuggerThreadGroup`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.